Subject: Re: Recover broken git index?

From: Misha Koshelev <[email-masked]>
Date: Thu, 28 May 2009 07:43:03 -0500

OS: Ubuntu 8.04
Git: 1.5.4.3
I tried you checkout master && git reset --hard and it worked. I guess
the problem is when I try to make a commit:
 git commit -a -n
error: invalid object 5e35b75e062c7688636a19334bd85e9e8a408b76
fatal: Error building trees

I first noticed this after my computer was acting sluggish (I was
running processor intensive tasks) and I restarted it.

Thank you
Misha

Andreas Ericsson wrote:
> Misha Koshelev wrote:
>> Hi, I seem to have an unrecoverable git index. I have attached the
>> output of git-fsck --full. There seem to be a lot of missing trees and
>> blobs. Any good way to recover?
>>
>
> Start by copying the repository somewhere safe so you don't accidentally
> delete things in it.
>
> If it's really the index that's broken, a simple
>
>  git checkout master && git reset --hard
>
> should do the trick.
>
> If it doesn't, it's not the index that's at fault.
>
>
> Have you done history surgery on this repository (extensive rebasing
> or filter-branch'ing)?
>
>
> Answers to the questions below really should have been in your original
> post. Please include them if we're to be able to understand what's going
> on:
> What OS and platform are you using?
> What git version are you using?
> How did you first notice this?
> What were you doing when you first noticed this?
> Is your repository working correctly otherwise (ie, do you only spot
> these errors when you run "git fsck --full")?
>

-- 
Misha Koshelev
MD/PhD Student

Human Neuroimaging Laboratory
One Baylor Plaza
S104
Baylor College of Medicine
Houston, TX 77030